import { createExtension, createExtensionInput, coreExtensionData, ApiBlueprint } from '@backstage/frontend-plugin-api';

const Root = createExtension({
  attachTo: { id: "ignored", input: "ignored" },
  inputs: {
    app: createExtensionInput([coreExtensionData.reactElement], {
      singleton: true
    }),
    apis: createExtensionInput([ApiBlueprint.dataRefs.factory], {
      replaces: [{ id: "app", input: "apis" }]
    })
  },
  output: [coreExtensionData.reactElement],
  factory: ({ inputs }) => inputs.app
});

export { Root };
//# sourceMappingURL=Root.esm.js.map
