function isInternalFrontendModule(opaque) {
  if (opaque.$$type === "@backstage/FrontendModule") {
    toInternalFrontendModule(opaque);
    return true;
  }
  return false;
}
function toInternalFrontendModule(plugin) {
  const internal = plugin;
  if (internal.$$type !== "@backstage/FrontendModule") {
    throw new Error(`Invalid plugin instance, bad type '${internal.$$type}'`);
  }
  if (internal.version !== "v1") {
    throw new Error(
      `Invalid plugin instance, bad version '${internal.version}'`
    );
  }
  return internal;
}

export { isInternalFrontendModule, toInternalFrontendModule };
//# sourceMappingURL=createFrontendModule.esm.js.map
